<template>
  <!-- 船运计费详单页面 -->
  <div class="purchaseOrder">
    <page-title>船运账单</page-title>
    <div class="top">
      <el-input
        placeholder="请输入内容"
        v-model="input"
        clearable>
      </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="btnclick">
        生成水分检测费账单
      </el-button>
    </div>
    <dilTable v-bind.sync="option" @selection-change="selectionChange">
    </dilTable>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
export default {
  name: "purchaseOrder",
  components: { PageTitle },
  data() {
    
    return {
      input:"",
      mapList:[],
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/bms/getWaterResult?apiId=114",
        // 控制显示多选列
        selectionType: "select",
      },
    };
  },
  methods: {
    selectionChange(selection) { 
      this.mapList=selection
    },
    onclick() {
      console.log(1);
    },
    btnclick() {
      console.log(this.mapList.length)
      if(this.mapList.length == 0 ){
        this.$message.error("请选择需要生成账单的水分检测详单")
        return
      }
      this.$confirm("是否生成", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "生成账单成功!",
          });
      this.axios.post("/api/v1/bms/addWaterStatement",this.mapList)
                  .then(() => {
              this.$router.go(-1);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消生成!",
          });
        });
      // this.$router.push("/path/addHomeworkPath/");
    },
  },
};
</script>
<style lang='scss' scoped>
.purchaseOrder {
  .top {
    padding: 1.25rem 1.875rem;
    .el-input {
      width: 250px;
    }
  }
}
</style>